Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class DefaultLog

    java.lang.Object
      com.beasys.commerce.util.DefaultLog

All Implemented Interfaces
  Log

Direct Known Subclasses:
  NonCatalogLog

Deprecated Use Weblogic Logging infrastructure - see http://e-docs.bea.com/wls/docs61/i18n/index.html

    public class DefaultLog

extends Object
implements Log

Default log implementation, it goes to System.err.

Field Summary
`protected static String` | `COMMA` Deprecated See BEA Commerce product offering
`protected static String` | `DEFAULT_APP_NAME` Deprecated See BEA Commerce product offering
`protected int` | `minimumLevel` Deprecated See BEA Commerce product offering
`protected static String` | `QUOTE` Deprecated See BEA Commerce product offering
`protected boolean` | `showDebug` Deprecated See BEA Commerce product offering
`protected boolean` | `showDeprecated` Deprecated See BEA Commerce product offering
`protected static String` | `SPACE` Deprecated See BEA Commerce product offering

Fields inherited from interface com.beasys.commerce.util.Log
`LOG_DEBUG, LOG_DEPRECATED, LOG_ERROR, LOG_FATAL, LOG_INFO, LOG_SECURITY, LOG_WARNING`

Constructor Summary
`DefaultLog()` Deprecated See BEA Commerce product offering

Method Summary
`protected String` | `assembleMsg(int aLevel, String anAppName, String aMsg)` Deprecated See BEA Commerce product offering
`void` | `debug(String aMsg)` Deprecated See BEA Commerce product offering
`void` | `deprecated(String aMsg)` Deprecated See BEA Commerce product offering
`int` | `getMinimumLevel()` Deprecated See BEA Commerce product offering
`boolean` | `getShowDebug()` Deprecated See BEA Commerce product offering
`boolean` | `getShowDeprecated()` Deprecated See BEA Commerce product offering
`void` | `info(String aMsg)` Deprecated See BEA Commerce product offering
`void` | `info(String aMsg, Throwable anException)` Deprecated See BEA Commerce product offering
`void` | `log(int aLevel, String aMsg)` Deprecated See BEA Commerce product offering
`void` | `log(int aLevel, String appName, String aMsg)` Deprecated See BEA Commerce product offering
`void` | `log(int aLevel, String appName, String aMsg, Throwable anException)` Deprecated See BEA Commerce product offering
`void` | `log(int aLevel, String aMsg, Throwable anException)` Deprecated See BEA Commerce product offering
`protected void` | `logOutput(int aLevel, String anAppName, String aMsg, Throwable anException)` Deprecated See BEA Commerce product offering
`void` | `setMinimumLevel(int aLevel)` Deprecated See BEA Commerce product offering
`void` | `setShowDebug(boolean aBool)` Deprecated See BEA Commerce product offering
`void` | `setShowDeprecated(boolean aBool)` Deprecated See BEA Commerce product offering
`protected String` | `textForLevel(int aLevel)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUOTE

    protected static final String QUOTE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SPACE

    protected static final String SPACE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### COMMA

    protected static final String COMMA

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### DEFAULT_APP_NAME

    protected static final String DEFAULT_APP_NAME

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### minimumLevel

    protected int minimumLevel

  Deprecated See BEA Commerce product offering

### showDeprecated

    protected boolean showDeprecated

  Deprecated See BEA Commerce product offering

### showDebug

    protected boolean showDebug

  Deprecated See BEA Commerce product offering

Constructor Detail

### DefaultLog

    public DefaultLog()

  Deprecated See BEA Commerce product offering

  Default constructor.

Method Detail

### textForLevel

    protected String textForLevel(int aLevel)

  Deprecated See BEA Commerce product offering

  Text for level.

  Parameters
    `aLevel` -
  Returns
    `String`

### assembleMsg

    protected String assembleMsg(int aLevel,
                                 String anAppName,
                                 String aMsg)

  Deprecated See BEA Commerce product offering

  Assemble the message into the expected output.

  Parameters
    `aLevel` -
    `anAppName` -
    `aMsg` -
  Returns
    `String`

### logOutput

    protected void logOutput(int aLevel,
                             String anAppName,
                             String aMsg,
                             Throwable anException)

  Deprecated See BEA Commerce product offering

  Log the output. Assembles a complete message from the parameters and then writes to System.err.

  Parameters
    `aLevel` -
    `anAppName` - the application name
    `aCompleteMsg` -
    `anException` -

### debug

    public void debug(String aMsg)

  Deprecated See BEA Commerce product offering

  Debug. Convenience method for LOG_DEBUG.

  Specified by:
    `debug` in interface `Log`
  Parameters
    `aMsg` -

### info

    public void info(String aMsg)

  Deprecated See BEA Commerce product offering

  Write to the logs, with extra information added. Convenience method for LOG_INFO.

  Specified by:
    `info` in interface `Log`
  Parameters
    `String` - the message, if null it will be ignored.

### info

    public void info(String aMsg,
                     Throwable anException)

  Deprecated See BEA Commerce product offering

  Write to the logs, with extra information added. Convenience method for LOG_INFO.

  Specified by:
    `info` in interface `Log`
  Parameters
    `String` - the message, if null it will be ignored.
    `Throwable` - the exception;

### deprecated

    public void deprecated(String aMsg)

  Deprecated See BEA Commerce product offering

  Deprecated.

  Specified by:
    `deprecated` in interface `Log`
  Parameters
    `aMsg` -

### log

    public void log(int aLevel,
                    String aMsg)

  Deprecated See BEA Commerce product offering

  Write to the weblogic logs, with extra information added.

  Specified by:
    `log` in interface `Log`
  Parameters
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `String` - the message, if null it will ignore.

### log

    public void log(int aLevel,
                    String aMsg,
                    Throwable anException)

  Deprecated See BEA Commerce product offering

  Write to the weblogic logs, with extra information added.

  Specified by:
    `log` in interface `Log`
  Parameters
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `String` - the message, if null it will ignore.
    `Throwable` - the exception.

### log

    public void log(int aLevel,
                    String appName,
                    String aMsg)

  Deprecated See BEA Commerce product offering

  Write to the logs, with extra information added.

  Specified by:
    `log` in interface `Log`
  Parameters
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `appName` - the name of the application logging the message
    `String` - the message, if null it will ignore.

### log

    public void log(int aLevel,
                    String appName,
                    String aMsg,
                    Throwable anException)

  Deprecated See BEA Commerce product offering

  Write to the logs, with extra information added.

  Specified by:
    `log` in interface `Log`
  Parameters
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `appName` - the name of the application logging the message
    `String` - the message, if null it will ignore.
    `Throwable` - the exception.

### setMinimumLevel

    public void setMinimumLevel(int aLevel)

  Deprecated See BEA Commerce product offering

  Set minimum level.

  Specified by:
    `setMinimumLevel` in interface `Log`
  Parameters
    `aLevel` -

### getMinimumLevel

    public int getMinimumLevel()

  Deprecated See BEA Commerce product offering

  Get minimum level.

  Specified by:
    `getMinimumLevel` in interface `Log`
  Returns
    `int`

### setShowDeprecated

    public void setShowDeprecated(boolean aBool)

  Deprecated See BEA Commerce product offering

  Set show deprecated.

  Specified by:
    `setShowDeprecated` in interface `Log`
  Parameters
    `aBool` -

### getShowDeprecated

    public boolean getShowDeprecated()

  Deprecated See BEA Commerce product offering

  Get show deprecated.

  Specified by:
    `getShowDeprecated` in interface `Log`
  Returns
    `boolean`

### setShowDebug

    public void setShowDebug(boolean aBool)

  Deprecated See BEA Commerce product offering

  Set show debug.

  Specified by:
    `setShowDebug` in interface `Log`
  Parameters
    `aBool` -

### getShowDebug

    public boolean getShowDebug()

  Deprecated See BEA Commerce product offering

  Get show debug.

  Specified by:
    `getShowDebug` in interface `Log`
  Returns
    `boolean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved